<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel='stylesheet' href='https://use.fontawesome.com/releases/v5.7.0/css/all.css' integrity='sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ' crossorigin='anonymous'>
<style>
body {margin:0;}
/*Navigation BAR*/
ul {
  font-family: "calibri";
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: #333;
  position: fixed;
  top: 0;
  width: 100%;
  font-size: 20px;
}

li {
  float: left;
}

li a {
  display: block;
  color: white;
  text-align: center;
  padding:20px 16px;
  text-decoration: none;
}

li a:hover:not(.active) {
  background-color: #111;
}

.active {
  background-color: #4CAF50;
}
/*Navigation BAR*/


/*Grid Layout*/
.grid-container {
  display: grid;
  grid-template-rows: 80px;
  grid-template-columns: repeat(5, 18%);
  grid-gap: 5px;
  background-color: transparent;
  padding: 15px 10px;
}

.grid-container > div {
  font-family: "calibri";
  background-color: transparent;
/*  text-align: center;*/
  font-size: 30px;
}
.grid_line_controls_cd{
	grid-area: 2 / 1 / 2 / 6;
   padding: 0px 20px;
   font-size: 40px;
   text-align: center;
   color: white;
}
.grid_line_numbers_cd{
	grid-area: 5 / 1 / 5 / 6;
   padding: 0px 20px;
   font-size: 40px;
   text-align: center;
   color: white;
}
/*Grid Layout*/

/*Buttons*/
.btn {
  font-family: "calibri";
  background-color: #2E2E2E; /* Dark Grey */
  border: none;
  color: white;
  padding: 15px 10px;
  font-size: 15px;
  cursor: pointer;
  display: inline-block;
  margin: 5px 2px;
  cursor: pointer;
  width: 100%;
  height 100%;
  border-radius: 12px;
}

/*#btn_icon {font-size: 20px;height: 70px}*/
/*#btn_text {text-align:center;center;font-size: 12px;height: 70px}*/


/* Lighter background on mouse-over */
.btn:hover {
  background-color: Grey;
}
.btn:active {
  background-color: white;
  box-shadow: 0 5px #666;
  transform: translateY(4px);
}
/*Buttons*/

</style>
<title>Braun Atelier Fernbedienung</title>
</head>

    <body>

			<ul>
  				<li><a href="index.php">Main</a></li>
  				<li><a href="cc4.php">CC4</a></li>
  				<li><a class="active" href="cd.php">CD</a></li>
  				<li><a href="phono.php">Phono</a></li>
  				<li><a href="tape.php">Tape</a></li>
			</ul>		

		<div style="padding:0px;margin-top:60px;background-color:#919191;height:1500px;">

      <div class="grid-container">
<!-- ************************************************************************************************************************* -->
      	<div>
			      <form>
			      <button type="submit"  name="CC4_OnOff" class="btn" style="color:green"><i class="fas fa-power-off"></i>  </button>
         		</form>
      	</div>
 <!-- Leeres Feld einfügen-->     	
      	<div></div>
 <!-- Leeres Feld einfügen--> 
       	<div>
			      <form>
			      <button type="submit" name="CC4_Volume-" class="btn" style="color:red" ><i class="fas fa-volume-down"></i> </button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit" name="CC4_Volume+" class="btn" style="color:green" ><i  class="fas fa-volume-up"></i></button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit" name="CC4_Mute" id="btn_text" class="btn" ><i class="fas fa-volume-mute"></i></button>
         		</form>
      	</div>
<!-- ************************************************************************************************************************* -->


<!-- ************************************************************************************************************************* -->
<!-- Linie für Überschrift "Controls"--> 
 			 <div class="grid_line_controls_cd" style="background-color:#cccccc">Controls</div>
<!-- Linie für Überschrift "Controls"--> 
<!-- ************************************************************************************************************************* -->


<!-- ************************************************************************************************************************* -->
      	<div>
			      <form>
			      <button type="submit" name="CD_Clear" class="btn" ></i> Clear </button>
         		</form>
      	</div>     	
        	<div>
			      <form>
			      <button type="submit" name="CD_Set" class="btn" ></i> Set </button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit" name="CD_Goto" class="btn" ></i> Goto </button>
         		</form>
      	</div> 
      	<div>
			      <form>
			      <button type="submit" name="CD_Return" class="btn" ><i class="fas fa-step-backward"></i></button>
         		</form>
      	</div> 	
      	<div>
			      <form>
			      <button type="submit" name="CC4_Skip" class="btn" ><i class="fas fa-step-forward"></i>  </button>
         		</form>
      	</div>
<!-- ************************************************************************************************************************* -->


<!-- ************************************************************************************************************************* -->
      	<div>
			      <form>
			      <button type="submit"  name="CD_Start" class="btn"><i class="fas fa-play"></i></button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit"  name="CD_Pause" class="btn"><i class="fas fa-play"></i></button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit" name="CD_Stop" class="btn" ><i class="fas fa-stop"></i></button>
         		</form>
      	</div>
      	      	<div>
			      <form>
			      <button type="submit" name="CD_Rew" class="btn" ><i class="fas fa-backward"></i></button>
         		</form>
      	</div> 
      	<div>
			      <form>
			      <button type="submit" name="CD_FF" class="btn"><i class="fas fa-forward" ></i></button>
         		</form>
      	</div>

<!-- ************************************************************************************************************************* -->


<!-- ************************************************************************************************************************* -->
<!-- Linie für Überschrift "Controls"--> 
 			 <div class="grid_line_numbers_cd" style="background-color:#cccccc">Numbers</div>
<!-- Linie für Überschrift "Controls"--> 
<!-- ************************************************************************************************************************* -->


<!-- ************************************************************************************************************************* -->

      	<div>
			      <form>
			      <button type="submit"  name="CD_One" class="btn" ></i> 1 </button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit"  name="CD_Two" class="btn" ></i> 2 </button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit"  name="CD_Three" class="btn" ></i> 3 </button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit"  name="CD_Four" class="btn" ></i> 4 </button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit"  name="CD_Five" class="btn" ></i> 5 </button>
         		</form>
      	</div>

      	
<!-- ************************************************************************************************************************* -->


<!-- ************************************************************************************************************************* -->

      	<div>
			      <form>
			      <button type="submit"  name="CD_Six" class="btn" ></i> 6 </button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit"  name="CD_Seven" class="btn" ></i> 7 </button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit"  name="CD_Eight" class="btn" ></i> 8 </button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit"  name="CD_Nine" class="btn" ></i> 9 </button>
         		</form>
      	</div>
      	<div>
			      <form>
			      <button type="submit"  name="CD_Zero" class="btn" ></i> 0 </button>
         		</form>
      	</div>

<!-- ************************************************************************************************************************* -->


    </body>
    
</html>



<?php 
//*CC4*//
if(isset($_REQUEST['CC4_OnOff'])) { shell_exec('echo "0<2" > /dev/ttyUSB0'); }
if(isset($_REQUEST['CC4_Volume+'])) { shell_exec('echo "0<3" > /dev/ttyUSB0'); }
if(isset($_REQUEST['CC4_Volume-'])) { shell_exec('echo "0<4" > /dev/ttyUSB0'); } 
if(isset($_REQUEST['CC4_Mute'])) { shell_exec('echo "0<5" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_BalanceL'])) { shell_exec('echo "0;;" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_BalanceR'])) { shell_exec('echo "0;:" > /dev/ttyUSB0'); }  
if(isset($_REQUEST['CC4_Treble+'])) { shell_exec('echo "0;@" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Treble-'])) { shell_exec('echo "0;?" > /dev/ttyUSB0'); }
if(isset($_REQUEST['CC4_Prog+'])) { shell_exec('echo "098" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Prog-'])) { shell_exec('echo "097" > /dev/ttyUSB0'); }
if(isset($_REQUEST['CC4_Dash'])) { shell_exec('echo "091" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_One'])) { shell_exec('echo "096" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Two'])) { shell_exec('echo "095" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Three'])) { shell_exec('echo "094" > /dev/ttyUSB0'); }
if(isset($_REQUEST['CC4_Four'])) { shell_exec('echo "093" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Five'])) { shell_exec('echo "092" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Six'])) { shell_exec('echo "09>" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Seven'])) { shell_exec('echo "09=" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Eight'])) { shell_exec('echo "09<" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Nine'])) { shell_exec('echo "09;" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Zero'])) { shell_exec('echo "09:" > /dev/ttyUSB0'); }   
if(isset($_REQUEST['CC4_Tape1'])) { shell_exec('echo "09?" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Tape2'])) { shell_exec('echo "09@" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Memo'])) { shell_exec('echo "099" > /dev/ttyUSB0'); }  
if(isset($_REQUEST['CC4_MemoCheck'])) { shell_exec('echo "0:1" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_FF'])) { shell_exec('echo "0:2" > /dev/ttyUSB0'); }
if(isset($_REQUEST['CC4_Rew'])) { shell_exec('echo "0:3" > /dev/ttyUSB0'); } 
if(isset($_REQUEST['CC4_Stop'])) { shell_exec('echo "0:4" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Pause'])) { shell_exec('echo "0:5" > /dev/ttyUSB0'); }
if(isset($_REQUEST['CC4_Start'])) { shell_exec('echo "0:6" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_XmitStat'])) { shell_exec('echo "0:7" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_LBass'])) { shell_exec('echo "0:8" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_HBlend'])) { shell_exec('echo "0:9" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Reset'])) { shell_exec('echo "0::" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Set'])) { shell_exec('echo "0:;" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Space'])) { shell_exec('echo "0:=" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Record'])) { shell_exec('echo "0:>" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_ManTune+'])) { shell_exec('echo "0:@" > /dev/ttyUSB0'); }    
if(isset($_REQUEST['CC4_ManTune-'])) { shell_exec('echo "0:?" > /dev/ttyUSB0'); }   
if(isset($_REQUEST['CC4_BassCenter+'])) { shell_exec('echo "0;1" > /dev/ttyUSB0'); }    
if(isset($_REQUEST['CC4_BassCenter-'])) { shell_exec('echo "0;!" > /dev/ttyUSB0'); }  
if(isset($_REQUEST['CC4_Speaker'])) { shell_exec('echo "0;2" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Control'])) { shell_exec('echo "0;3" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Mono'])) { shell_exec('echo "0;4" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Process'])) { shell_exec('echo "0;5" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_SourceTwo'])) { shell_exec('echo "0;6" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Bass+'])) { shell_exec('echo "0;8" > /dev/ttyUSB0'); } 
if(isset($_REQUEST['CC4_Bass-'])) { shell_exec('echo "0;7" > /dev/ttyUSB0'); }      
if(isset($_REQUEST['CC4_Loudness'])) { shell_exec('echo "0;>" > /dev/ttyUSB0'); }  
if(isset($_REQUEST['CC4_SubFilter'])) { shell_exec('echo "0<1" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Eq'])) { shell_exec('echo "0<6" > /dev/ttyUSB0'); }   
if(isset($_REQUEST['CC4_Am'])) { shell_exec('echo "0<9" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Tape'])) { shell_exec('echo "0<:" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Tv'])) { shell_exec('echo "0<;" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Fm'])) { shell_exec('echo "0<<" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Phono'])) { shell_exec('echo "0<=" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Cd'])) { shell_exec('echo "0<>" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Speaker1'])) { shell_exec('echo "0<?" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CC4_Speaker2'])) { shell_exec('echo "0<@" > /dev/ttyUSB0'); }     

//CD-Player*//
//CD4/2;CD23;CD5*//
if(isset($_REQUEST['CD_Skip'])) { shell_exec('echo "02:" > /dev/ttyUSB0'); }      
if(isset($_REQUEST['CD_FF'])) { shell_exec('echo "022" > /dev/ttyUSB0'); }  
if(isset($_REQUEST['CD_Rew'])) { shell_exec('echo "023" > /dev/ttyUSB0'); }    
if(isset($_REQUEST['CD_Return'])) { shell_exec('echo "024" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Pause'])) { shell_exec('echo "025" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Start'])) { shell_exec('echo "026" > /dev/ttyUSB0'); }     

//*CD23;CD5*//
if(isset($_REQUEST['CD_Repeat'])) { shell_exec('echo "03=" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Time'])) { shell_exec('echo "03<" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Set'])) { shell_exec('echo "02=" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Goto'])) { shell_exec('echo "02<" > /dev/ttyUSB0'); }  

//*CD5*//
if(isset($_REQUEST['CD_AB'])) { shell_exec('echo "03=" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Clear'])) { shell_exec('echo "03<" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_One'])) { shell_exec('echo "016" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Two'])) { shell_exec('echo "015" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Three'])) { shell_exec('echo "014" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Four'])) { shell_exec('echo "013" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Five'])) { shell_exec('echo "012" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Six'])) { shell_exec('echo "01>" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Seven'])) { shell_exec('echo "01=" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Eight'])) { shell_exec('echo "01<" > /dev/ttyUSB0'); }     
if(isset($_REQUEST['CD_Nine'])) { shell_exec('echo "01;" > /dev/ttyUSB0'); }  
if(isset($_REQUEST['CD_Zero'])) { shell_exec('echo "01:" > /dev/ttyUSB0'); }     
?>
